################################################################################
# @ Author       : Wenyan Huo
# @ Email        : huowenyan0616@126.com
# @ Encoding     : UTF-8
# @ Language     : shell script
# @ Date         : 2022-11-18 08:01
# @ LastEditTime : 2023-6-09 12:17
# @ '~/ssh1/Database' was the storage location of scripts
# @ '~/ssh1/Database/Macrofungi_Genome_3' was the storage location of raw data
# @ '~/ssh1/Database/Macrofungi_anno' was the storage location of results
################################################################################
filelist=`ls ~/ssh1/Database/Macrofungi_Genome_3`
for file in $filelist; do
	S="$file"
	mkdir ~/ssh1/Database/Macrofungi_anno/$S
	filelist1=`ls ~/ssh1/Database/Macrofungi_Genome_3/$S`
	for file1 in $filelist1; do
		S1="$file1"
		run_dbcan.py ~/ssh1/Database/Macrofungi_Genome_3/$S/$S1 protein --out_dir  ~/ssh1/Database/Macrofungi_anno/$S --db_dir ~/ssh1/Database/dbCAN2
	done
done