################################################################################
# @ Author       : Wenyan Huo
# @ Email        : huowenyan0616@126.com
# @ Encoding     : UTF-8
# @ Language     : shell script
# @ Date         : 2022-11-18 08:01
# @ LastEditTime : 2023-6-09 12:17
# @ 'E:/01微生物研究所/10-数据/01-野外大型真菌资源调查/高通量测序/代码/Genome/04_注释' was the storage location of script and results
# @ 'E:/01微生物研究所/10-数据/01-野外大型真菌资源调查/高通量测序/代码/Genome/04_注释/Macrofungi_anno' was the storage location of raw data
################################################################################
import os
from os import path
import shutil
ff1 = open('HMMER.txt', 'a+', encoding = 'utf-8')
ff2 = open('Hotpep.txt', 'a+', encoding = 'utf-8')
ff3 = open('DIAMOND.txt', 'a+', encoding = 'utf-8')
def scaner_file(url):
    # 遍历当前路径下所有文件
    file = os.listdir(url)
    for f in file:
        name = str(f)
        print(name)
        GT_1 = 0
        GH_1 = 0
        AA_1 = 0
        CE_1 = 0
        PL_1 = 0
        CBM_1 = 0
        GT_2 = 0
        GH_2 = 0
        AA_2 = 0
        CE_2 = 0
        PL_2 = 0
        CBM_2 = 0
        GT_3 = 0
        GH_3 = 0
        AA_3 = 0
        CE_3 = 0
        PL_3 = 0
        CBM_3 = 0
        f1 = path.join(url, f)
        f2 = path.join(f1, 'overview.txt')
        N = open(f2, 'r', encoding = 'utf-8')
        lines = N.readlines()
        for line in lines:
            S = str(line).split('	')
            S1 = str(S[1])
            S2 = str(S[2])
            S3 = str(S[3])
            print(S1)
            print(S2)
            print(S3)
            if 'GT' in S1:
                GT_1 += 1
            if 'GH' in S1:
                GH_1 += 1
            if 'AA' in S1:
                AA_1 += 1
            if 'CE' in S1:
                CE_1 += 1
            if 'PL' in S1:
                PL_1 += 1
            if 'CBM' in S1:
                CBM_1 += 1
            if 'GT' in S2:
                GT_2 += 1
            if 'GH' in S2:
                GH_2 += 1
            if 'AA' in S2:
                AA_2 += 1
            if 'CE' in S2:
                CE_2 += 1
            if 'PL' in S2:
                PL_2 += 1
            if 'CBM' in S2:
                CBM_2 += 1
            if 'GT' in S3:
                GT_3 += 1
            if 'GH' in S3:
                GH_3 += 1
            if 'AA' in S3:
                AA_3 += 1
            if 'CE' in S3:
                CE_3 += 1
            if 'PL' in S3:
                PL_3 += 1
            if 'CBM' in S3:
                CBM_3 += 1
        N1 = name + '	' + str(GT_1) + '	' + str(GH_1) + '	' + str(AA_1) + '	' + str(CE_1) + '	' + str(PL_1) + '	' + str(CBM_1) + '\n'
        N2 = name + '	' + str(GT_2) + '	' + str(GH_2) + '	' + str(AA_2) + '	' + str(CE_2) + '	' + str(PL_2) + '	' + str(CBM_2) + '\n'
        N3 = name + '	' + str(GT_3) + '	' + str(GH_3) + '	' + str(AA_3) + '	' + str(CE_3) + '	' + str(PL_3) + '	' + str(CBM_3) + '\n'
        ff1.writelines(N1)
        ff2.writelines(N2)
        ff3.writelines(N3)
scaner_file('E:/01微生物研究所/10-数据/01-野外大型真菌资源调查/高通量测序/代码/Genome/04_注释/Macrofungi_anno')